Bug 1126138 - GDB is not able to catch Ada exceptions
Summary: GDB is not able to catch Ada exceptions
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: gdb
Version: 22
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Jan Kratochvil
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-08-02 09:48 UTC by Pavel Zhukov
Modified: 2016-07-19 11:59 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-07-19 11:59:15 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Sourceware 11385 None None None Never

Description Pavel Zhukov 2014-08-02 09:48:25 UTC
Description of problem:

gdb is not able to set exception breakpoint properly. 


Version-Release number of selected component (if applicable):
gdb-7.7.1-15.fc20.i686
gcc-gnat-4.8.3-1.fc20.i686
gcc-debuginfo-4.8.3-1.fc20.i686

How reproducible:
100%

Steps to Reproduce:
1. Build hello_world program with -g -ggdb -gnata flags enabled
2. gdb ./hello_world
3. catch exception

Actual results:
(gdb) catch exception 
Your Ada runtime appears to be missing some debugging information.
Cannot insert Ada exception catchpoint in this configuration.

Expected results:
(gdb) catch exception 
Catchpoint 1: all Ada exceptions

Additional info:
Workaround:
(gdb) break __gnat_raise_exception 
Breakpoint 2 at 0x804b5ac

Comment 1 Pavel Zhukov 2014-09-05 13:02:37 UTC
Reproduced with rawhide.
GDB is broken since F20. F19's version works fine.
For references: https://sourceware.org/bugzilla/show_bug.cgi?id=11385#c8

Comment 2 Jaroslav Reznik 2015-03-03 16:10:36 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 22 development cycle.
Changing version to '22'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/Fedora_Program_Management/HouseKeeping/Fedora22

Comment 3 Fedora End Of Life 2016-07-19 11:59:15 UTC
Fedora 22 changed to end-of-life (EOL) status on 2016-07-19. Fedora 22 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.